// api基础域名
const BaseAPIURl = require('./baseUrl.js').basePath.BASE_API_URL;
const $api = {
  user: {
    login: { // 模拟用户登陆
      methods: 'POST',
      url: `${BaseAPIURl}/wx/registered`
    },
    info: {
      methods: 'GET',
      url: `${BaseAPIURl}/wx/info/:appid`
    },
    getCode: {
      methods: 'GET',
      url: `${BaseAPIURl}/wx/getOpenid`
    },
    update: {
      methods: 'PUT',
      url: `${BaseAPIURl}/wx/user`
    }
  },
  banner: {
    list: {
      methods: 'GET',
      url: `${BaseAPIURl}/wx/banner`
    }
  },
  building: {
    list: {
      methods: 'GET',
      url: `${BaseAPIURl}/wx/building/list`
    },
  },
  dynamic: { // 项目
    list: { // 项目列表
      methods: 'GET',
      url: `${BaseAPIURl}/wx/buildingDynamiceList`
    },
    detail: { // 项目详情
      methods: 'GET',
      url: `${BaseAPIURl}/wx/buildingDynamiceInfo/:id`
    }
  },
  activity: {
    list: { // 活动列表
      methods: 'GET',
      url: `${BaseAPIURl}/wx/activity`
    },
    detail: { // 活动详情
      methods: 'GET',
      url: `${BaseAPIURl}/wx/activity/:id`
    }
  },
}

module.exports = {
  $api: $api
}